package com.fdage.enums;

/**
 * Created by Hb_zzZ on 2019/9/11.
 */
public enum ResponEnum {

    NOT_NULL(3001, "参数不能为空"),
    USER_NOT_EXIST(3002, "用户不存在"),
    PASSWORD_ERROR(3003, "密码错误"),
    USER_EXIST(3004, "用户已存在"),
    PASSWORD_INCONSISTENCY(3005, "两次密码不一致"),
    USER_STOP_USING(3006, "用户已停用");

    private final int code;
    private final String message;

    ResponEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getMessage() {
        return this.message;
    }

    public int getCode() {
        return this.code;
    }
}
